## IAnjutaDebuggerMemory

IAnjutaDebuggerMemory — Memory interface for debuggers

## Stability Level

Unstable, unless otherwise indicated

## Functions

void | (*IAnjutaDebuggerMemoryCallback) ()
GQuark | ianjuta_debugger_memory_error_quark ()
gboolean | ianjuta_debugger_memory_inspect ()

## Types and Values

#define | IANJUTA_DEBUGGER_MEMORY_ERROR
struct | IAnjutaDebuggerMemoryBlock

## Object Hierarchy

        GInterface
        ╰── IAnjutaDebuggerMemory

## Includes

    #include <libanjuta/interfaces/ianjuta-debugger-memory.h>

## Description

This interface is used to examine the target memory.

## Functions

### IAnjutaDebuggerMemoryCallback ()

    void
    (*IAnjutaDebuggerMemoryCallback) (const IAnjutaDebuggerMemoryBlock *data,
                                      gpointer user_data,
                                      GError *err);

This callback function is used to return a IAnjutaDebuggerMemoryBlock.

#### Parameters

data | a IAnjutaDebuggerMemoryBlock object |
user_data | user data passed to the function |
err | error |

### ianjuta_debugger_memory_error_quark ()

    GQuark
    ianjuta_debugger_memory_error_quark (void);

#### Returns

### ianjuta_debugger_memory_inspect ()

    gboolean
    ianjuta_debugger_memory_inspect (IAnjutaDebuggerMemory *obj,
                                     gulong address,
                                     guint length,
                                     IAnjutaDebuggerMemoryCallback callback,
                                     gpointer user_data,
                                     GError **err);

Read a block of the target memory.

#### Parameters

obj | Self |
address | Start address of the memory block |
length | Length of memory block |
callback | Call back with a IAnjutaDebuggerMemoryBlock as argument |
user_data | User data that is passed back to the callback |
err | Error propagation and reporting. |

#### Returns

TRUE if the request succeed and the callback is called. If FALSE, the callback will not be called.

## Types and Values

### IANJUTA_DEBUGGER_MEMORY_ERROR

    #define IANJUTA_DEBUGGER_MEMORY_ERROR ianjuta_debugger_memory_error_quark()

### struct IAnjutaDebuggerMemoryBlock

    struct IAnjutaDebuggerMemoryBlock {
    	gulong address;
    	guint length;
    	gchar *data;
    };